package com.tmerclub.cloud.api.product.dto;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author gaozijie
 * @since 2023-12-01
 */
public class WarehouseSearchDTO implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 系统类型
     */
    private Integer sysType;

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 仓库id集合
     */
    private List<Long> warehouseIds;

    /**
     * 店铺id集合
     */
    private List<Long> shopIds;

    /**
     * 区id
     */
    private Long areaId;

    public WarehouseSearchDTO() {
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public List<Long> getWarehouseIds() {
        return warehouseIds;
    }

    public void setWarehouseIds(List<Long> warehouseIds) {
        this.warehouseIds = warehouseIds;
    }

    public List<Long> getShopIds() {
        return shopIds;
    }

    public void setShopIds(List<Long> shopIds) {
        this.shopIds = shopIds;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    @Override
    public String toString() {
        return "WarehouseSearchDTO{" +
                "shopId=" + shopId +
                ", sysType=" + sysType +
                ", warehouseName='" + warehouseName + '\'' +
                ", warehouseIds=" + warehouseIds +
                ", shopIds=" + shopIds +
                ", areaId=" + areaId +
                '}';
    }
}
